Download file from URL
POST
/api/v1/trail/download
const url = 'https://example.com/api/v1/trail/download';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"url":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/trail/download \ --header 'Content-Type: application/json' \ --data '{ "url": "https://example.com" }'Downloads a file from a URL and returns it as a blob
Request Body required
Section titled “Request Body required ” Media type application/json
object
url
required
string format: uri
Example generated
{ "url": "https://example.com"}Responses
Section titled “ Responses ”File blob
Media type application/octet-stream
string format: binary
Bad Request
Internal Server Error